Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQDomDocumentFragment Class Reference
[XML module]

The TQDomDocumentFragment class is a tree of TQDomNodes which is not usually a complete TQDomDocument. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqdom.h>`

Inherits TQDomNode.

List of all member functions.

## Public Members

- TQDomDocumentFragment ()
- TQDomDocumentFragment ( const TQDomDocumentFragment & x )
- TQDomDocumentFragment & operator= ( const TQDomDocumentFragment & x )
- ~TQDomDocumentFragment ()
- virtual TQDomNode::NodeType nodeType () const
- virtual bool isDocumentFragment () const

## Detailed Description

The TQDomDocumentFragment class is a tree of TQDomNodes which is not usually a complete TQDomDocument.

If you want to do complex tree operations it is useful to have a lightweight class to store nodes and their relations. TQDomDocumentFragment stores a subtree of a document which does not necessarily represent a well-formed XML document.

TQDomDocumentFragment is also useful if you want to group several nodes in a list and insert them all together as children of some node. In these cases TQDomDocumentFragment can be used as a temporary container for this list of children.

The most important feature of TQDomDocumentFragment is that it is treated in a special way by TQDomNode::insertAfter(), TQDomNode::insertBefore(), TQDomNode::replaceChild() and TQDomNode::appendChild(): instead of inserting the fragment itself, all the fragment's children are inserted.

See also XML.

## Member Function Documentation

### TQDomDocumentFragment::TQDomDocumentFragment ()

Constructs an empty document fragment.

### TQDomDocumentFragment::TQDomDocumentFragment ( const TQDomDocumentFragment & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### TQDomDocumentFragment::~TQDomDocumentFragment ()

Destroys the object and frees its resources.

### bool TQDomDocumentFragment::isDocumentFragment () const`[virtual]`

This function reimplements TQDomNode::isDocumentFragment().

See also nodeType() and TQDomNode::toDocumentFragment().

Reimplemented from TQDomNode.

### TQDomNode::NodeType TQDomDocumentFragment::nodeType () const`[virtual]`

Returns `DocumentFragment`.

See also isDocumentFragment() and TQDomNode::toDocumentFragment().

Reimplemented from TQDomNode.

### TQDomDocumentFragment & TQDomDocumentFragment::operator= ( const TQDomDocumentFragment & x )

Assigns x to this DOM document fragment.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.